function P = Example2()
%EXAMPLE2   Generate a random matrix polynomial with unabalanced
%   coefficients norms. 
%
%   This function generates a random matrix polynomial as proposed
%   in the numerical experiment 2 of the Paper "On a class of matrix
%   pencils equivalent to a given matrix polynomial". 

n = 6; m = 64;
P = {};
for i = 1 : n
  P{i} = exp(12 * randn) * randn(m);
end

% Whilst this polynomial is not monic we can reasonably assume that
% the leading coefficient is invertibile and the seccomp and bcomp
% functions will automatically invert it. 

end
