function [uu,hh]=newtpol(a)
%NEWTPOL    Computation of the Newton polygon for a polynomial described
%   by its vector of coefficients a sorted by degree in descending order. 
%
%   [uu,hh] = NEWTPOL(a) returns the tropical roots in the vector uu and 
%   their multiplicities in the vector hh. 

  n=length(a);
  k=1;
  
  for h=1:n
      zz=a(h);
  if not(zz==0)
    iah=1/a(h);
    u=0;v=1.e300;
    for i=1:h-1
      u=max(u,abs(iah*a(i))^(1/(h-i)));
    end
    for i=h+1:n
      v=min(v,abs(iah*a(i))^(1/(h-i)));
    end
    if u<v
      uu(k)=u;vv(k)=v;hh(k)=h;
      k=k+1;
    end
  end
  end
  uu=uu+1.e-300;vv=vv+1.e-300;
  uu=1./uu;vv=1./vv;
   uu=uu(2:end);
hh=hh(2:end)-hh(1:end-1);

end